AbstractRevisionItem subclass:#VersionRevisionItem
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Browsers-Support'
!

!VersionRevisionItem class methodsFor:'documentation'!

documentation
"
    documentation to be added.

    [author:]
        Pierre Schwarz (ps@exept.de)

    [see also:]

    [instance variables:]

    [class variables:]
"

! !

!VersionRevisionItem methodsFor:'accessing'!

revisionString
    "return the value of the instance variable 'revision' (automatically generated)"

    ^ revision at:#revision



!

sourceStream
"
<return: Stream>
"
    |theClass|

    theClass := self parent myClass.
    ^theClass sourceCodeManager getSourceStreamFor:theClass revision:self revisionString
! !

!VersionRevisionItem methodsFor:'protocol'!

icon

    ^self isLoadedRevision
        ifTrue: [#loadedRevision]
        ifFalse:[#unloadedRevision].


! !

!VersionRevisionItem methodsFor:'testing'!

hasSourceStream
"
has the receiver a source stream? Used for testing tree items.

<return: Boolean>
"
    ^true



!

isLoadedRevision
"
the receiver represents the actual revision of a class, when the revision string fits
and the class is not changed. In that case a current version of the class exisits.

<return: Boolean>
"
    ^((self parent myClass revision = self revisionString) and:[self parent isMyClassChanged not])


! !

!VersionRevisionItem class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/VersionRevisionItem.st,v 1.3 2000-01-14 15:56:39 cg Exp $'
! !
